<template>
  <div id="app">
    <h2>Einkaufsliste</h2>
    <AddItem v-on:add-item="addItem"/>
    <ItemList v-bind:items="items" v-on:del-item="deleteItem"/>
  </div>
</template>

<script>
  import ItemList from '../components/shoppinglist/ItemList';
  import AddItem from '../components/shoppinglist/AddItem';
  import ShoppingItemService from '../services/ShoppingItemService';

  export default {
    name: 'ShoppingList',
    components: {
      ItemList,
      AddItem
    },
    data() {
      return {
        items: []
      }
    },
    methods: {
      async deleteItem(id) {
        await ShoppingItemService.deleteItem(id);
        this.items = await ShoppingItemService.getItems();
      },
      async addItem(item)
      {
          await ShoppingItemService.insertItem(item);
          this.items = await ShoppingItemService.getItems();
      },
    },
    async created() {
      this.items = await ShoppingItemService.getItems();      
    }
  };
</script>

<style>
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;    
  }

  body {
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.4;

  }

  .btn {
    display: inline-block;
    border: none;
    background: #555;
    color: #fff;
    padding: 7px 20px;
    cursor: pointer;
  }

  .btn:hover {
    background: #666;
  }
</style>
